          <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
            <!-- Search for small screen-->
            <div class="container">
              <div class="row">
                <div class="col s12 m6 l6" style="margin-top:20px;">
                  
                  <h4 class="breadcrumbs-title mt-0 mb-1" ><span>Ajouter Facture</span></h4>
                </div>
                <div class="col s12 m6 l6 right-align-md">
                  <ol class="breadcrumbs mb-0">
                    <li class="breadcrumb-item"><a [routerLink]="['/DashbordFacture']">Acceuil</a>
                    </li>
                    <li class="breadcrumb-item">Facturations
                    </li>
                    <li class="breadcrumb-item active">Ajouter facture
                    </li>
                  </ol>
                </div>
              </div>
            </div>
          </div>
            
                <section class="invoice-edit-wrapper ">
                  <div class="row">
              <div class="col xl9 m8 s12">
                  <div id="Form-advance" class="card card card-default scrollspy">
                    <form #f="ngForm" (ngSubmit)="save(f.value)">
                    <div class="card-content" >
                      <!-- <h4 class="card-title">Ajouter Facture</h4> -->
                  
                    
                        <div class="row">
                         
                          <div class="input-field col m6 s12">
                            <select  searchable='Liste de Client' id="xxxx" name="client" #client="ngModel"  [(ngModel)]="facture.client"     required >

                              <option *ngFor="let c of clients" [value]="c.id">
                                {{c.nom}} {{c.prenom}} || {{c.cin}}
                               </option>
                            </select>
                          </div>
                          <div class="input-field col m6 s12">
                            <input type="date" name="date" #date="ngModel"  [(ngModel)]="facture.date">
                            <label for="password">Date de facture</label>
                        </div>
                        </div>

                          <div class="row">
                           
                            <div class="input-field col m6 s12">
                                <input type="date" name="delai" #delai="ngModel"  [(ngModel)]="facture.delai">
                                <label for="password">Délai</label>
                            </div>
                            <div class="input-field col m6 s12">
                              <label class="active"> Nombre Article </label>
           
                              <input type="number"   placeholder="1 / 2 / 3" name="r3" #r3="ngModel" [(ngModel)]="selectedValue" > 
                          </div>

                            
                          </div>
                          
                  
                                            <br/>
                      

                        <div class="row">
                          <div id="demo3">
                          
                              <table class="bordered striped">
                                  <thead>
                                  <tr>
                                  <th>Article</th>
                                  <th>Qte</th>
                                  
                                  
                                  </tr>
                                  </thead>
                                  <tbody *ngIf="selectedValue">
                                  <tr *ngFor="let x of counter(selectedValue);index as i;">
                                  <td>
                                      
                                    <select class="browser-default" name="article{{i}}" ngModel >
                                      <option *ngFor="let a of articles" [value]="a.id">
                                        {{a.nom}}
                                       </option>
                                    </select>
                                  </td>
                                  <td>
                                      <input type="text" name="qte{{i}}" ngModel (change)="calfacture(f.value)">
                                  </td>
                                  
                                 
                                 
                                  </tr>
                                  </tbody>
                               
                                  

                              </table>

                        </div>


                        <div class="invoice-subtotal" >
                          <div class="row">
                            <div class="col m5 s12">
                             
                      
                            </div>
                            <div class="col xl4 m7 s12 offset-xl3"  >
                              <ul>
                                <li class="display-flex justify-content-between">
                                  <span class="invoice-subtotal-title" >Prix </span>
                                  <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prix}} Dt</h6>
                                </li>
                              
                                
                                <li>
                                  <div class="divider mt-2 mb-2"></div>
                                </li>
                               
                                <li class="display-flex justify-content-between">
                                  <span class="invoice-subtotal-title">Prix Total (DT)</span>
                                  <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prixtotal}} Dt</h6>
                                </li>
                              
                              </ul>
                            </div>
                          </div>
                        </div>




                          <div class="row">
                            <div class="input-field col s12">
                              <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
                                <i class="material-icons right">send</i>
                              </button>
                            </div>
                        </div>
                      </div>



                 





                    </div>
                  </form>
                  </div>
                  </div>
                  
                  <div class="col xl3 m4 s12">
                    <div class="card invoice-action-wrapper mb-10">
                      <div class="card-content">
                        <div class="invoice-action-btn">
                          <a class="btn indigo waves-effect waves-light display-flex align-items-center justify-content-center">
                            <i class="material-icons mr-4">check</i>
                            <span class="responsive-text">Télecharger</span>
                          </a>
                        </div>
                       
                        <div class="invoice-action-btn">
                          <a class="btn btn-light-indigo btn-block waves-effect waves-light">
                            <span class="responsive-text">Facturer </span>
                          </a>
                        </div>
                        <div class="row invoice-action-btn">
                          <div class="col s6 preview">
                            <a class="btn btn-light-indigo btn-block waves-effect waves-light" [routerLink]="['/VoirContrat']">
                              <span class="responsive-text">Voir</span>
                            </a>
                          </div>
                          <div class="col s6 save">
                            <a class="btn btn-light-indigo btn-block waves-effect waves-light">
                              <span class="responsive-text">Enregistrer</span>
                            </a>
                          </div>
                        </div>
                        
                      </div>
                    </div>
                    
                    
                    

  
           

               